package be.ac.ulb.code.wit.deepthought.soap.client;

import javax.jws.Oneway;
import javax.jws.WebParam;
import javax.jws.WebService;

import be.ac.ulb.code.wit.deepthought.Callback;


@WebService
@org.apache.cxf.interceptor.InInterceptors (interceptors = {"org.apache.cxf.interceptor.LoggingInInterceptor" })
public class CallbackImpl implements Callback {
	boolean done = false;

	@Oneway
	public void callBack(@WebParam(name="response")String callbackMessage) {
		System.out.println("Recieved callback message " + callbackMessage);
		done = true;
	}

	public boolean isDone() {
		return done;
	}
}