package be.ac.ulb.code.wit.deepthought.server;

import javax.jws.WebService;
import javax.xml.ws.soap.Addressing;

import be.ac.ulb.code.wit.deepthought.DeepThought;
import be.ac.ulb.code.wit.deepthought.DeepThoughtConsts;

@WebService(name=DeepThoughtConsts.SERVICENAME, 
			serviceName=DeepThoughtConsts.SERVICENAME, 
			targetNamespace=DeepThoughtConsts.NS)
@Addressing
public class DeepThoughtImplV2 implements DeepThought {
	@Override
	public String computeAnswer() {
    	//Compute the Answer to the Ultimate Question of Life, the Universe, and Everything
    	//Since we know the answer, we do not need to wait 7.5 million years
		
		System.out.println("V2");
    	return "Forty-two";
	}
}
